Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.leafset
Class BroadcastLeafSet

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.leafset.BroadcastLeafSet

All Implemented Interfaces:
  java.io.Serializable

public class BroadcastLeafSet
extends Message
implements java.io.Serializable

Broadcast a leaf set to another node.

Version:
  $Id: BroadcastLeafSet.java,v 1.11 2005/03/11 00:58:04 jeffh Exp $
Author:
  Andrew Ladd
See Also:
  Serialized Form

Field Summary
`static int` | `Correction` DESCRIBE THE FIELD
`static int` | `JoinAdvertise` DESCRIBE THE FIELD
`static int` | `JoinInitial` DESCRIBE THE FIELD
`static int` | `Update` DESCRIBE THE FIELD

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Constructor Summary
`BroadcastLeafSet(Credentials cred, java.util.Date stamp, NodeHandle from, LeafSet leafSet, int type)` Constructor.
`BroadcastLeafSet(Credentials cred, NodeHandle from, LeafSet leafSet, int type)` Constructor.
`BroadcastLeafSet(java.util.Date stamp, NodeHandle from, LeafSet leafSet, int type)` Constructor.
`BroadcastLeafSet(NodeHandle from, LeafSet leafSet, int type)` Constructor.

Method Summary
`NodeHandle` | `from()` Returns the node id of the node that broadcast its leaf set.
`LeafSet` | `leafSet()` Returns the leaf set that was broadcast.
`java.lang.String` | `toString()` DESCRIBE THE METHOD
`int` | `type()` Returns the type of leaf set.

Methods inherited from class rice.pastry.messaging.Message
`getCredentials, getDate, getDestination, getPriority, getSender, getSenderId, getStream, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### Update

    public static final int Update

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### JoinInitial

    public static final int JoinInitial

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### JoinAdvertise

    public static final int JoinAdvertise

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### Correction

    public static final int Correction

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### BroadcastLeafSet

    public BroadcastLeafSet(NodeHandle from,
                            LeafSet leafSet,
                            int type)

  Constructor.

Parameters:
  `from` - DESCRIBE THE PARAMETER
  `leafSet` - DESCRIBE THE PARAMETER
  `type` - DESCRIBE THE PARAMETER

### BroadcastLeafSet

    public BroadcastLeafSet(Credentials cred,
                            NodeHandle from,
                            LeafSet leafSet,
                            int type)

  Constructor.

Parameters:
  `cred` - the credentials.
  `from` - DESCRIBE THE PARAMETER
  `leafSet` - DESCRIBE THE PARAMETER
  `type` - DESCRIBE THE PARAMETER

### BroadcastLeafSet

    public BroadcastLeafSet(java.util.Date stamp,
                            NodeHandle from,
                            LeafSet leafSet,
                            int type)

  Constructor.

Parameters:
  `stamp` - the timestamp
  `from` - DESCRIBE THE PARAMETER
  `leafSet` - DESCRIBE THE PARAMETER
  `type` - DESCRIBE THE PARAMETER

### BroadcastLeafSet

    public BroadcastLeafSet(Credentials cred,
                            java.util.Date stamp,
                            NodeHandle from,
                            LeafSet leafSet,
                            int type)

  Constructor.

Parameters:
  `cred` - the credentials.
  `stamp` - the timestamp
  `from` - DESCRIBE THE PARAMETER
  `leafSet` - DESCRIBE THE PARAMETER
  `type` - DESCRIBE THE PARAMETER

Method Detail

### from

    public NodeHandle from()

  Returns the node id of the node that broadcast its leaf set.

  Returns:
    the node id.

### leafSet

    public LeafSet leafSet()

  Returns the leaf set that was broadcast.

  Returns:
    the leaf set.

### type

    public int type()

  Returns the type of leaf set.

  Returns:
    the type.

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.